// File System APIs
import { readFileSync, writeFileSync, readdirSync, statSync, existsSync, mkdirSync as nodeMkdirSync, rmSync } from 'node:fs';
import { readFile, writeFile, readdir, stat, mkdir as nodeMkdir, rm } from 'node:fs/promises';

// Re-export a mix of built-in Node.js sync+promise fs methods.
export {
 readFileSync, writeFileSync, readdirSync, statSync, existsSync, rmSync ,
 readFile, writeFile, readdir, stat, mkdir, rm 
}

export function mkdir(dir: string) {
  return nodeMkdir(dir, { recursive: true });
}

export function mkdirSync(dir: string) {
  return nodeMkdirSync(dir, { recursive: true });
}

export async function writeMkdir(file: string, contents: Buffer | string) {
  await mkdir(path.dirname(file));
  return writeFile(file, contents);
}

import * as path from 'node:path';

